CRM Custom FieldsList custom fields

List custom fields

curl -X GET "https://api.talkturo.com/api/crm/custom-fields" \
  -H "Content-Type: application/json"
{
  "success": true,
  "fields": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "type": "text",
      "entity_type": "contact",
      "options": [
        "example_string"
      ]
    }
  ]
}
GET
/crm/custom-fields
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Responses

successboolean
fieldsarray